ReflectionMethod::isAbstract
ReflectionMethod::isDestructor
ReflectionMethod
PHP Manual

# ReflectionMethod::isConstructor

(PHP 5)

ReflectionMethod::isConstructor — Checks if method is a constructor

### Description

public bool ReflectionMethod::isConstructor ( void )

Checks if the method is a constructor.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the method is a constructor, otherwise `FALSE`

### See Also

- ReflectionMethod::__construct - Constructs a ReflectionMethod
- ReflectionMethod::isAbstract - Checks if method is abstract
- ReflectionMethod::isDestructor - Checks if method is a destructor

ReflectionMethod::isAbstract
ReflectionMethod::isDestructor
ReflectionMethod
PHP Manual